Fetch Verification Metadata
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/verification/payee/metadata \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/verification/payee/metadata"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/verification/payee/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"corridors": [
{
"country": "IN",
"currency": "INR",
"destination_type": "bank",
"local_payment_network_type": "",
"required_bank_fields": [
"account_number",
"country",
"currency"
],
"required_bank_codes": [
"ifsc_code"
],
"required_beneficiary_fields": [
"name",
"type"
],
"supported_verification_capabilities": {
"account_exists": true,
"name_check": true,
"match_score": true,
"match_type": true,
"corrected_name": false,
"translated_name": false,
"transaction_activity": false
},
"coverage": 95,
"bank_name_options": []
},
{
"country": "IN",
"currency": "INR",
"destination_type": "local_payment_network",
"local_payment_network_type": "upi_inr",
"required_bank_fields": [],
"required_bank_codes": [],
"required_beneficiary_fields": [
"name",
"type"
],
"supported_verification_capabilities": {
"account_exists": true,
"name_check": true,
"match_score": true,
"match_type": true,
"corrected_name": false,
"translated_name": false,
"transaction_activity": false
},
"coverage": 95,
"bank_name_options": []
},
{
"country": "IN",
"currency": "USD",
"destination_type": "bank",
"local_payment_network_type": "",
"required_bank_fields": [
"account_number",
"country",
"currency"
],
"required_bank_codes": [
"swift_code"
],
"required_beneficiary_fields": [
"name",
"type"
],
"supported_verification_capabilities": {
"account_exists": true,
"name_check": true,
"match_score": true,
"match_type": true,
"corrected_name": false,
"translated_name": false,
"transaction_activity": false
},
"coverage": 60,
"bank_name_options": []
}
]
}
}{
"status": "error",
"message": "Invalid request",
"errors": [
{
"code": 100,
"message": "country is required.",
"remarks": ""
}
]
}{
"status": "error",
"message": "Internal server error",
"errors": [
{
"code": 500,
"message": "Something went wrong while processing your request. Please try again or contact support if the issue persists.",
"remarks": ""
}
]
}Tazamatch
Fetch Verification Metadata
This lets you fetch verification capabilities and required fields for a given corridor. Useful when integrating a new corridor or if you’re unsure of the requirements.
GET
/
v3
/
verification
/
payee
/
metadata
Fetch Verification Metadata
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Destination country (ISO 3166-1 alpha-2, e.g. IN, US, GB).
Currency of the destination account (ISO 4217, e.g. INR, USD). When omitted, corridors for all currencies supported in country are returned.
Response
200
Was this page helpful?